Subject: bug#57486: closed (Re: bug#57486: TRAMP resets all locale settings)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Sep 2022 10:34:02 +0000

Your bug report

#57486: TRAMP resets all locale settings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57486: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57486
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57486: TRAMP resets all locale settings
From: Michael Albinus <[email-masked]>
To: Paul Pogonyshev <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Sep 2022 12:33:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.1

Paul Pogonyshev <[email-masked]> writes:

Hi Paul,

> Yes, it is gone by now. I wasn't sure if it was fixed or a coincidence
> for a bug not happening 100% of the time, but if you know the specific
> reason and it was handled, then I can confirm the symptoms don't
> happen here anymore.

Thanks for the feedback. Closing.

> Paul

Best regards, Michael.

Subject: TRAMP resets all locale settings
From: Paul Pogonyshev <[email-masked]>
To: [email-masked]
Date: Tue, 30 Aug 2022 15:10:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Git commit c8c3cd3b08.

Connect to any remote machine. Run `M-x eshell RET', then `$ locale'.
Output:

LANG=en_GB.UTF-8
LANGUAGE=
LC_CTYPE="C"
LC_NUMERIC="C"
LC_TIME="C"
...

All settings other than `LANG' are reset.

In comparison, when I do the same with Emacs 28:

LANG=en_GB.UTF-8
LANGUAGE=
LC_CTYPE="en_US.utf8"
LC_NUMERIC="en_US.utf8"
LC_TIME="en_US.utf8"

Paul
...